/*
 * cover.h - Handles cover art.
 *
 * Copyright (C) 2006 - 2008 Andreas Scherrer, www.hifidelio-user.de
 *
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */

/**
 * \file cover.h
 * Handles cover art.
 */

#ifndef _COVER_H_
#define _COVER_H_

#include "img.h"

/**
 * Cover art status: cover hasn't changed.
 */
#define COVER_NONE 1

/**
 * Cover art status: no cover available.
 */
#define COVER_NEW 2

/**
 * Cover art status: new cover available.
 */
#define COVER_OLD 3

/**
 * Cover art status: error accessing cover file.
 */
#define COVER_ERR 4

/*
 * Module functions.
 */
int cover_check(struct img_bitmap **cover);

#endif /* !_COVER_H_ */

