/*
 * timeutil.h - Time utility functions.
 *
 * Copyright (C) 2006 - 2008 Andreas Scherrer, www.hifidelio-user.de
 *
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */

/**
 * \file timeutil.h
 * Utility functions for time calculations.
 */

#ifndef _TIMEUTIL_H_
#define _TIMEUTIL_H_

#include <sys/time.h>

/*
 * Module functions.
 */
int timeutil_get_timeval_from_msec(int msec, struct timeval *tv);
int timeutil_interval_exceeded(struct timeval *start, struct timeval *interval);
int timeutil_intervals_runtime(struct timeval *start1,
		struct timeval *interval1, struct timeval *start2,
		struct timeval *interval2, struct timeval *diff);

#endif /* !_TIMEUTIL_H_ */
